## hrp run

run API test with go engine

### Synopsis

run yaml/json testcase files for API test

```
hrp run $path... [flags]
```

### Examples

```
  $ hrp run demo.json	# run specified json testcase file
  $ hrp run demo.yaml	# run specified yaml testcase file
  $ hrp run examples/	# run testcases in specified folder
```

### Options

```
      --case-timeout float32   set testcase timeout (seconds) (default 3600)
  -c, --continue-on-failure    continue running next step when failure occurs
  -g, --gen-html-report        generate html report
  -h, --help                   help for run
      --http-stat              turn on HTTP latency stat (DNSLookup, TCP Connection, etc.)
      --log-plugin             turn on plugin logging
      --log-requests-off       turn off request & response details logging
  -p, --proxy-url string       set proxy url
  -s, --save-tests             save tests summary
```

### SEE ALSO

* [hrp](hrp.md)	 - Next-Generation API Testing Solution.

###### Auto generated by spf13/cobra on 20-Aug-2023
